//+------------------------------------------------------------------+
//|                                                        R-Net.mq4 |
//|                               Copyright  2010, Yury V. Reshetov |
//|                                                  http://bigfx.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, Yury V. Reshetov"
#property link      "http://bigfx.ru"

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 Red
#property indicator_width1 2
#property indicator_width2 2
#property indicator_level1 0

extern double threshold = 0.0002;


double ExtMapBuffer1[];
double ExtMapBuffer2[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexEmptyValue(0,0.0);
   SetIndexStyle(1,DRAW_HISTOGRAM);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexEmptyValue(1,0.0);

//----
   return(0);
  }
 
 
int start() {

   int limit;
   int counted_bars=IndicatorCounted();
   limit=Bars-counted_bars-1;
   if (limit>1) limit=Bars-63;

   for (int i=limit;i>=0;i--) {
      ExtMapBuffer1[i]= 0;
      ExtMapBuffer2[i]= 0;

      double tmp=perceptron(i);
      if (tmp>threshold) ExtMapBuffer1[i]= 1;
      else if (tmp<-threshold) ExtMapBuffer2[i]= -1;
   }
   
   return(0);

}

double perceptron(int i) {
         double x1 = delta(0, i+1);
         double x2 = delta(0, i+2);
         double x3 = delta(0, i+3);
         double x4 = delta(0, i+4);
         double x5 = delta(0, i+5);
         double x6 = delta(0, i+6);
         double x7 = delta(0, i+7);
         double x8 = delta(0, i+8);
         double x9 = delta(0, i+9);
         double x10 = delta(0, i+10);
         double x11 = delta(0, i+11);
         double x12 = delta(0, i+12);
         double x13 = delta(0, i+13);
         double x14 = delta(0, i+14);
         double x15 = delta(0, i+15);
         double x16 = delta(0, i+16);
         double x17 = delta(0, i+17);
         double x18 = delta(0, i+18);
         double x19 = delta(0, i+19);
         double x20 = delta(0, i+20);
         double x21 = delta(0, i+21);
         double x22 = delta(0, i+22);
         double x23 = delta(0, i+23);
         double x24 = delta(0, i+24);
         double x25 = delta(0, i+25);
         double x26 = delta(0, i+26);
         double x27 = delta(0, i+27);
         double x28 = delta(0, i+28);
         double x29 = delta(0, i+29);
         double x30 = delta(0, i+30);
         double x31 = delta(0, i+31);
         double x32 = delta(0, i+32);
         double x33 = delta(0, i+33);
         double x34 = delta(0, i+34);
         double x35 = delta(0, i+35);
         double x36 = delta(0, i+36);
         double x37 = delta(0, i+37);
         double x38 = delta(0, i+38);
         double x39 = delta(0, i+39);
         double x40 = delta(0, i+40);
         double x41 = delta(0, i+41);
         double x42 = delta(0, i+42);
         double x43 = delta(0, i+43);
         double x44 = delta(0, i+44);
         double x45 = delta(0, i+45);
         double x46 = delta(0, i+46);
         double x47 = delta(0, i+47);
         double x48 = delta(0, i+48);
         double x49 = delta(0, i+49);
         double x50 = delta(0, i+50);
         double x51 = delta(0, i+51);
         double x52 = delta(0, i+52);
         double x53 = delta(0, i+53);
         double x54 = delta(0, i+54);
         double x55 = delta(0, i+55);
         double x56 = delta(0, i+56);
         double x57 = delta(0, i+57);
         double x58 = delta(0, i+58);
         double x59 = delta(0, i+59);
         double x60 = delta(0, i+60);
         double x61 = delta(0, i+61);
         double x62 = delta(0, i+62);
      //return(getResult());
   return(getResult(x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13, x14, x15, x16, x17, x18, x19, x20, x21, x22, x23, x24, x25, x26, x27, x28, x29, x30, x31, x32, x33, x34, x35, x36, x37, x38, x39, x40, x41, x42, x43, x44, x45, x46, x47, x48, x49, x50, x51, x52, x53, x54, x55, x56, x57, x58, x59, x60, x61, x62));
}



double delta(int begin, int end) {
   return (Open[begin + end - 1] - iMA(Symbol(), 0, 62, 0, MODE_SMA, PRICE_OPEN, begin + end - 1));
}
 


double getResult(double x1, 
                 double x2, 
                 double x3, 
                 double x4, 
                 double x5, 
                 double x6, 
                 double x7, 
                 double x8, 
                 double x9, 
                 double x10, 
                 double x11, 
                 double x12, 
                 double x13, 
                 double x14, 
                 double x15, 
                 double x16, 
                 double x17, 
                 double x18, 
                 double x19, 
                 double x20, 
                 double x21, 
                 double x22, 
                 double x23, 
                 double x24, 
                 double x25, 
                 double x26, 
                 double x27, 
                 double x28, 
                 double x29, 
                 double x30, 
                 double x31, 
                 double x32, 
                 double x33, 
                 double x34, 
                 double x35, 
                 double x36, 
                 double x37, 
                 double x38, 
                 double x39, 
                 double x40, 
                 double x41, 
                 double x42, 
                 double x43, 
                 double x44, 
                 double x45, 
                 double x46, 
                 double x47, 
                 double x48, 
                 double x49, 
                 double x50, 
                 double x51, 
                 double x52, 
                 double x53, 
                 double x54, 
                 double x55, 
                 double x56, 
                 double x57, 
                 double x58, 
                 double x59, 
                 double x60, 
                 double x61, 
                 double x62) {
  
  double result = 0.0;
  if (x41 > 0.0) {
   if (x21 > 0.0) {
    if (x6 > 0.0) {
     if (x12 > 0.0) {
      if (x30 > 0.0) {
       if (x17 > 0.0) {
        if (x10 > 0.0) {
         if (x47 > 0.0) {
          if (x11 > 0.0) {
           if (x26 > 0.0) {
            if (x43 > 0.0) {
             if (x16 > 0.0) {
              if (x15 > 0.0) {
               if (x44 > 0.0) {
                if (x49 > 0.0) {
                 if (x24 > 0.0) {
                  if (x7 > 0.0) {
                   if (x60 > 0.0) {
                    if (x3 > 0.0) {
                     if (x8 > 0.0) {
                      if (x59 > 0.0) {
                       if (x37 > 0.0) {
                        if (x32 > 0.0) {
                         if (x2 > 0.0) {
                          if (x19 > 0.0) {
                           if (x51 > 0.0) {
                            if (x28 > 0.0) {
                             if (x22 > 0.0) {
                              if (x35 > 0.0) {
                               if (x42 > 0.0) {
                                if (x45 > 0.0) {
                                 result =  -0.0000000031446540880503143 * x1 
                                          - 0.0000000407232704402515700 * x2 
                                          + 0.0000000325471698113207460 * x3 
                                          - 0.0000000169811320754716950 * x4 
                                          + 0.0000000094339622641509430 * x5 
                                          + 0.0000000106918238993710690 * x6 
                                          - 0.0000000138364779874213830 * x7 
                                          - 0.0000000437106918238993600 * x8 
                                          - 0.0000000168238993710691800 * x9 
                                          + 0.0000000099056603773584890 * x10 
                                          - 0.0000000113207547169811320 * x11 
                                          - 0.0000000022012578616352197 * x12 
                                          + 0.0000000144654088050314460 * x13 
                                          - 0.0000000229559748427672950 * x14 
                                          + 0.0000000212264150943396200 * x15 
                                          + 0.0000000273584905660377340 * x16 
                                          + 0.0000000180817610062893050 * x17 
                                          - 0.0000000237421383647798730 * x18 
                                          + 0.0000000012578616352201258 * x19 
                                          - 0.0000000025157232704402515 * x20 
                                          + 0.0000000033018867924528300 * x21 
                                          + 0.0000000028301886792452830 * x22 
                                          + 0.0000000121069182389937100 * x23 
                                          + 0.0000000047169811320754720 * x24 
                                          - 0.0000000077044025157232700 * x25 
                                          + 0.0000000224842767295597480 * x26 
                                          - 0.0000000128930817610062870 * x27 
                                          + 0.0000000125786163522012570 * x28
                                          - 0.0000000106918238993710690 * x29 
                                          + 0.0000000026729559748427672 * x30 
                                          + 0.0000000086477987421383630 * x31 
                                          - 0.0000000121069182389937100 * x32 
                                          + 0.0000000257861635220125740 * x33 
                                          + 0.0000000294025157232704350 * x34 
                                          - 0.0000000227987421383647800 * x35 
                                          - 0.0000000130503144654088030 * x36 
                                          - 0.0000000133647798742138360 * x37 
                                          - 0.0000000204402515723270440 * x38 
                                          - 0.0000000067610062893081750 * x39 
                                          + 0.0000000223270440251572300 * x40 
                                          + 0.0000000009433962264150942 * x41 
                                          + 0.0000000058176100628930810 * x42 
                                          - 0.0000000099056603773584890 * x43 
                                          + 0.0000000213836477987421380 * x44 
                                          + 0.0000000031446540880503143 * x45 
                                          - 0.0000000221698113207547130 * x46 
                                          + 0.0000000232704402515723230 * x47 
                                          - 0.0000000141509433962264140 * x48 
                                          - 0.0000000157232704402515700 * x49 
                                          + 0.0000000242138364779874200 * x50 
                                          - 0.0000000077044025157232700 * x51 
                                          - 0.0000000205974842767295560 * x52 
                                          + 0.0000000018867924528301883 * x53 
                                          - 0.0000000004716981132075471 * x54 
                                          + 0.0000000295597484276729500 * x55 
                                          - 0.0000000273584905660377340 * x56 
                                          - 0.0000000023584905660377360 * x57 
                                          - 0.0000000022012578616352197 * x58 
                                          - 0.0000000199685534591194930 * x59 
                                          - 0.0000000036163522012578614 * x60 
                                          - 0.0000000072327044025157230 * x61 
                                          - 0.0000000308176100628930800 * x62;
                                } else {
                                 result = 0.00709;
                                }
                               } else {
                                result = 0.00822;
                               }
                              } else {
                                                            result = 0.00593;
                                                          }
                                                        } else {
                                                          result = 0.00463;
                                                        }
                                                      } else {
                                                        result = -0.00278;
                                                      }
                                                    } else {
                                                      result = 0.273058212230987700 * x8 
                                                             - 0.015763413858939795 * x9 
                                                             + 0.006433523379827462 * x16 
                                                             - 0.237789175694563040 * x29 
                                                             + 0.060362340874476780 * x42 
                                                             + 0.084445761462866740 * x48 
                                                             + 0.593491250210720800 * x55 
                                                             - 0.856237882936909400 * x58 
                                                             + 0.435570038068119400 * x62;
                                                    }
                                                  } else {
                                                    result = 0.00191;
                                                  }
                                                } else {
                                                  result = -0.17990042817146043 * x5 
                                                          + 0.11993291696332027 * x9 
                                                          + 0.04271542965349159 * x10 
                                                          + 0.09460431785392044 * x11 
                                                          - 0.41439525159701374 * x13 
                                                          + 0.23906155089590148 * x18 
                                                          + 0.049337079212848405 * x27 
                                                          - 0.09691821065701522 * x30 
                                                          + 0.10755495901118713 * x34 
                                                          + 0.014474989100342797 * x36 
                                                          - 0.05107828881080964 * x41 
                                                          - 0.12700934436204786 * x42 
                                                          + 0.15821005177702674 * x51 
                                                          + 0.012805364903023257 * x54 
                                                          + 0.12640929026843364 * x56 
                                                          - 0.22600984799655238 * x59 
                                                          + 0.044564017352415365 * x61;
                                                }
                                              } else {
                                                result = 0.00523;
                                              }
                                            } else {
                                              result =  -0.4634347553465222 * x6 
                                                       + 0.6492815682682216 * x7 
                                                       - 0.12493394473059061 * x21 
                                                       - 0.19420290599579956 * x23 
                                                       - 0.0959848580933804 * x25 
                                                       - 0.010916579894034889 * x33 
                                                       + 0.3296014490339496 * x34 
                                                       - 0.23478328232634818 * x46 
                                                       - 0.024371381505222497 * x54 
                                                       + 0.08672480184632939 * x55 
                                                       + 0.012239126999288148 * x61;
                                            }
                                          } else {
                                            result =  -0.004222208916469222 * x1 
                                                     + 0.04739251417389336 * x8 
                                                     + 0.099425029938617 * x14 
                                                     - 0.06148002107850133 * x26 
                                                     - 0.1331256887958342 * x27 
                                                     - 0.0050491303618059894 * x28 
                                                     + 0.19740703863560444 * x40 
                                                     - 0.07543853208826051 * x45 
                                                     + 0.3390272033728259 * x54;
                                          }
                                        } else {
                                          result = 0.01074;
                                        }
                                      } else {
                                        result =  -0.06174082697481071 * x1 
                                                 + 0.8080661055764501 * x4 
                                                 - 0.5696432116809214 * x5 
                                                 + 0.11998020432643906 * x7 
                                                 + 0.05103828284357407 * x8 
                                                 + 0.005303224729451154 * x10 
                                                 + 0.0026365975721733366 * x11 
                                                 - 0.006678579727236334 * x12 
                                                 + 0.08677348911790517 * x13 
                                                 - 0.3310341343577448 * x16 
                                                 + 0.10531976087843196 * x18 
                                                 - 0.5177100472012338 * x19 
                                                 + 0.46111028519631003 * x20 
                                                 + 0.029116685717303727 * x23 
                                                 + 0.410011943182527 * x25 
                                                 + 0.06566269078945579 * x28 
                                                 - 0.10323570767218106 * x29 
                                                 + 0.2015525693042483 * x33 
                                                 + 0.08910378492201282 * x34 
                                                 - 0.016468224471296786 * x35 
                                                 - 0.6134743940994203 * x37 
                                                 + 0.15637005555604783 * x42 
                                                 + 0.006654556059152749 * x43 
                                                 + 0.017339082439326702 * x45 
                                                 + 0.08758428791572613 * x47 
                                                 - 0.11035872525896369 * x48 
                                                 - 0.023050709526198785 * x49 
                                                 + 0.01010795834616794 * x54 
                                                 - 0.39568783108769007 * x58 
                                                 - 0.06867165521692468 * x60 
                                                 + 0.46561472296198203 * x62;
                                      }
                                    } else {
                                      if (x42 > 0.0) {
                                        if (x55 > 0.0) {
                                          result = 0.24570480024066801 * x1 
                                                 - 1.337607597728098 * x2 
                                                 + 0.41919839324642605 * x3 
                                                 + 0.24290436561105933 * x4 
                                                 + 0.5942588961044651 * x5 
                                                 - 0.619029407173504 * x6 
                                                 + 0.9524478206344159 * x7 
                                                 + 0.08641341142792558 * x8 
                                                 - 0.6816724627572508 * x9 
                                                 - 0.7714197249347107 * x10 
                                                 + 0.549952019643156 * x11 
                                                 + 0.321616581807561 * x12 
                                                 + 0.42163210429358594 * x14 
                                                 - 0.931477899419846 * x15 
                                                 + 1.2804987343885779 * x16 
                                                 - 0.15899134224528438 * x17 
                                                 - 0.5721888041425489 * x18 
                                                 + 0.5700884781703425 * x19 
                                                 - 1.027392785483944 * x20 
                                                 + 0.06561018275083239 * x21 
                                                 + 0.3051473591048622 * x22 
                                                 + 0.7123438896529651 * x23 
                                                 - 0.09624827113905138 * x24 
                                                 - 0.6945077881429574 * x25 
                                                 - 0.4037960027835782 * x26 
                                                 + 0.7109770108456561 * x27 
                                                 - 0.9247768594132824 * x28 
                                                 + 0.9956545263483787 * x29 
                                                 - 0.6416662537628409 * x30 
                                                 + 0.04374012183388826 * x31 
                                                 + 0.5597535408467864 * x32 
                                                 - 0.2927787728240905 * x33 
                                                 - 0.20049778407698474 * x34 
                                                 - 0.8734022193629608 * x36 
                                                 + 1.190851487733604 * x37 
                                                 + 1.0045892463571302 * x38 
                                                 - 1.594747506039668 * x39 
                                                 + 0.21843390110947855 * x40 
                                                 + 0.48887587391169013 * x41 
                                                 + 0.17192668315347695 * x42 
                                                 - 0.17769424495017103 * x43 
                                                 - 0.6199628853833734 * x44 
                                                 + 0.12678634400478433 * x45 
                                                 + 0.9599156463133725 * x46 
                                                 - 0.5515856065104278 * x47 
                                                 - 0.6365654621160536 * x48 
                                                 - 0.22916890052297856 * x49 
                                                 + 0.7371144007220041 * x50 
                                                 - 0.4798744768879479 * x51 
                                                 + 1.4880976205620702 * x52 
                                                 - 0.8616003877096098 * x53 
                                                 + 0.22816874529811831 * x54 
                                                 - 0.3693239860333949 * x56 
                                                 + 0.17079317389863533 * x57 
                                                 - 0.09814856606628584 * x59 
                                                 - 0.5211142106596854 * x60 
                                                 - 0.22896886947800651 * x61 
                                                 + 0.680505614994914 * x62;
                                        } else {
                                          result =  -0.6369927788103823 * x1 
                                                   - 0.057232380885450254 * x2 
                                                   + 0.3332863951682888 * x3 
                                                   + 0.4527317146192533 * x4 
                                                   + 0.18835118817986526 * x5 
                                                   + 0.13109923732317705 * x8 
                                                   - 0.4691411355022932 * x9 
                                                   + 0.7594420888463757 * x10 
                                                   - 0.4292281791624485 * x11 
                                                   - 0.21728539065520744 * x13 
                                                   + 0.10178342040869441 * x14 
                                                   - 0.0967637227861545 * x15 
                                                   - 0.19976048141160319 * x16 
                                                   + 0.008493367517280017 * x17 
                                                   + 0.31122125259747496 * x18 
                                                   - 0.18469160355836445 * x21 
                                                   + 0.09916104426280611 * x22 
                                                   - 0.5331740813929388 * x23 
                                                   - 0.17258757634767852 * x24 
                                                   + 0.0822917290556739 * x25 
                                                   + 0.10705752765732796 * x26 
                                                   + 0.05084278527625227 * x27 
                                                   + 0.016634475552276533 * x28 
                                                   + 0.24592604356198006 * x30 
                                                   - 0.5241718946234716 * x32 
                                                   + 0.04964901703073596 * x33 
                                                   + 0.5617755943572355 * x34 
                                                   - 0.02955065656933831 * x36 
                                                   + 0.01599845148704243 * x37 
                                                   + 0.4085525045495307 * x40 
                                                   + 0.17893803201440056 * x44 
                                                   - 0.5134964753131576 * x45 
                                                   - 0.2451138897556042 * x46 
                                                   - 0.027241399963257567 * x47 
                                                   + 0.0030235605562667347 * x48 
                                                   + 0.18842946806481717 * x52 
                                                   + 0.04445318966705429 * x53 
                                                   - 0.47845644181156805 * x55 
                                                   + 0.17484790802566433 * x58 
                                                   + 0.20071941000226384 * x60 
                                                   - 0.11327099352538421 * x61 
                                                   + 0.13550248085172084 * x62;
                                        }
                                      } else {
                                        result = 0.0099;
                                      }
                                    }
                                  } else {
                                    if (x2 > 0.0) {
                                      result = 0.16058612081716722 * x20 
                                             + 0.3345485640419355 * x21 
                                             - 0.012825867443480299 * x35 
                                             - 0.3798628348120545 * x41 
                                             - 0.0014414983793858119 * x61;
                                    } else {
                                      result = 0.43290169495172415 * x2 
                                             - 0.02195681664638929 * x14 
                                             + 0.023291624634873283 * x16 
                                             + 0.009182062249140314 * x28 
                                             + 0.2926793409973081 * x33 
                                             - 0.16826549657814652 * x39 
                                             + 0.004416155782795305 * x45 
                                             - 0.03682122069725168 * x54 
                                             - 0.11728490722693487 * x55;
                                    }
                                  }
                                } else {
                                  result = -0.00505;
                                }
                              } else {
                                if (x22 > 0.0) {
                                  if (x58 > 0.0) {
                                    result = 0.00809903220496035 * x4 
                                           - 0.0009951494592592013 * x11 
                                           - 0.11860757748446234 * x20 
                                           - 0.3790247102569372 * x25 
                                           + 0.4303286788027034 * x26 
                                           + 0.08610693525109143 * x32 
                                           + 0.012049336298945123 * x39 
                                           - 0.008464071808737317 * x43 
                                           - 0.1902174419980046 * x45 
                                           - 0.008639775518439093 * x47 
                                           - 0.023471592116713215 * x52 
                                           - 0.0795998392435153 * x53 
                                           - 0.07967254422684017 * x54 
                                           + 0.08939229168508414 * x61;
                                  } else {
                                    if (x38 > 0.0) {
                                      result =  -0.13830703612453127 * x1 
                                               + 0.12831653580615573 * x6 
                                               + 0.4778987361811027 * x9 
                                               + 0.21499532310638902 * x18 
                                               - 0.3721773666942738 * x23 
                                               + 0.09935657681678116 * x25 
                                               - 0.03963599226646753 * x35 
                                               - 0.6311473439925244 * x39 
                                               + 0.08708401344916404 * x43 
                                               + 0.17649579214481753 * x55 
                                               + 0.3415508009119284 * x61 
                                               - 0.3398293514822602 * x62;
                                    } else {
                                      result = 0.0127;
                                    }
                                  }
                                } else {
                                  result = 0.01254;
                                }
                              }
                            } else {
                              result =  -0.3308393079415288 * x1 + 0.35526457749491175 * x10 - 0.08508845544392739 * x25 + 0.21679349215868488 * x31 + 0.11847943096293027 * x51;
                            }
                          } else {
                            result = 0.02844452306379914 * x42 + 0.04549766111706302 * x54;
                          }
                        } else {
                          result = 0.20955677015380927 * x12 + 0.6289844315583304 * x13 + 0.08712047293207033 * x25 + 0.07885579487848424 * x32 - 0.2620947902280924 * x40;
                        }
                      } else {
                        if (x32 > 0.0) {
                          if (x45 > 0.0) {
                            result =  -0.17194347252702005 * x10 + 0.6002270210395453 * x30 - 0.10970632419678503 * x50;
                          } else {
                            result = 0.05952214524113356 * x8 - 1.1590781317857313 * x42;
                          }
                        } else {
                          result = -0.0010;
                        }
                      }
                    } else {
                      result = 0.18674647123383814 * x5 + 0.13095425920852335 * x24 - 0.345996473943725 * x44 + 0.19340038508861818 * x51 + 0.1495459589035208 * x59;
                    }
                  } else {
                    result =  -0.19018900045557 * x1 - 0.010669011943326288 * x46 - 0.1169015475434279 * x58;
                  }
                } else {
                  if (x45 > 0.0) {
                    if (x50 > 0.0) {
                      result =  -0.2416474742042419 * x4 + 0.35659525942475506 * x21;
                    } else {
                      if (x2 > 0.0) {
                        result = 0.39049797864481345 * x2 - 0.41256935597537586 * x3 + 0.1443592768032357 * x5 + 0.06763184718717527 * x9 + 0.17422524089132158 * x10 - 0.49119845978940035 * x14 + 0.1931110292585279 * x19 + 0.0026873958725720194 * x22 + 0.25465638028515347 * x23 - 0.036419338345141786 * x29 - 0.2079287151872751 * x30 - 0.20334818556972387 * x31 - 0.09013594080230432 * x34 + 0.026686068760053083 * x51 - 0.008355409836863217 * x56 - 0.1430013447786416 * x62;
                      } else {
                        result =  -0.05112580264194057 * x6 - 0.30336060846529167 * x36;
                      }
                    }
                  } else {
                    if (x37 > 0.0) {
                      if (x55 > 0.0) {
                        result =  -0.7327627467434736 * x1 + 0.07397313952546491 * x2 + 0.13254040597943756 * x6 + 0.815309195096357 * x8 + 0.0012984707152637947 * x13 - 0.4652891197547237 * x16 + 0.0878423944142651 * x17 + 0.02159203704683201 * x23 + 0.028447282002089336 * x25 + 0.25445489876933647 * x29 - 0.1416835676753453 * x40 - 0.017277031744143155 * x56 + 0.03467313722200046 * x57 - 0.003053390743098487 * x61 - 0.021285847445852775 * x62;
                      } else {
                        if (x44 > 0.0) {
                          result = 0.04702754526014836 * x19 + 0.09444671556650235 * x29 - 0.2413459211925471 * x61;
                        } else {
                          if (x29 > 0.0) {
                            if (x58 > 0.0) {
                              result = 0.2498311332481202 * x2 - 0.13167877046909396 * x34 - 0.15385017267270612 * x42;
                            } else {
                              if (x2 > 0.0) {
                                if (x18 > 0.0) {
                                  result = 0.14260138723245785 * x3 + 0.047251196146748414 * x6 - 0.0144071448599724 * x7 + 0.030979980865436692 * x18 - 0.19020855017978272 * x19 - 0.1691902051228445 * x20 - 0.015100057334376957 * x21 + 0.1359032333132138 * x26 + 0.20836829161682452 * x30 + 0.49679107110985554 * x46 + 0.07206833194571632 * x49 - 0.6360501746422443 * x53 - 0.5582700700643776 * x59;
                                } else {
                                  result = 0.00716;
                                }
                              } else {
                                result =  -0.1058990532303138 * x27 - 0.054326343448820695 * x60;
                              }
                            }
                          } else {
                            result = -0.0023;
                          }
                        }
                      }
                    } else {
                      result =  -0.12232639754055949 * x1 - 0.61087868204146 * x6 + 0.5965733329479418 * x8 - 0.06229688649823323 * x12 + 0.9399651082034828 * x20 - 0.2995956282914435 * x22 + 0.04881196931310235 * x33 - 0.007615099804213843 * x38 - 0.8840787782985129 * x42 - 0.15701202108560994 * x57;
                    }
                  }
                }
              } else {
                result =  -0.23959028091342244 * x3 + 0.249414401734035 * x23 + 0.15812138621249258 * x24 - 0.11284322086741581 * x30 - 0.23484593121515238 * x35 - 0.018687942527121297 * x37 + 0.02045822226528176 * x40 + 0.18057101789550853 * x58 + 0.02775425938964415 * x62;
              }
            } else {
              result =  -0.1954452508957965 * x3 + 0.1563530983700311 * x13 + 0.004224361961980072 * x21 + 0.06222273176311897 * x26 + 0.2833295596690833 * x27 - 0.30044158649059255 * x31 + 0.03711182127553485 * x35 + 0.09823321999348641 * x44 + 0.05731585354779572 * x45 - 0.3545749494782919 * x50 + 0.4604089186567364 * x51 - 0.2190566938570964 * x54 + 0.02655867223709993 * x57 + 0.1644398818566123 * x59 - 0.16549985028036496 * x61;
            }
          } else {
            if (x11 > 0.0) {
              if (x4 > 0.0) {
                if (x10 > 0.0) {
                  if (x14 > 0.0) {
                    if (x57 > 0.0) {
                      if (x29 > 0.0) {
                        if (x48 > 0.0) {
                          result =  -0.38410598701435855 * x22 - 0.045934527020365545 * x24 - 0.06060439831408666 * x49 + 0.16947619163 * x54;
                        } else {
                          result = 0.06173320890973118 * x4 - 0.10378024733385074 * x20;
                        }
                      } else {
                        result =  -0.08504436675161194 * x3 - 0.40514715236292836 * x4 - 0.03402450206174241 * x6 + 0.34839648967523396 * x8 + 0.6694112490347307 * x12 - 0.44024125326512925 * x15 + 0.04176501998611299 * x19 + 0.08439697797975548 * x22 + 0.07911090792085805 * x24 + 0.5414815982483151 * x25 + 0.3346718477118772 * x30 - 0.3164267432806881 * x31 - 0.19205491600569222 * x32 + 0.2894615935659717 * x34 + 0.12014409712139418 * x37 - 0.05689702884480981 * x38 + 0.012390458146574293 * x39 - 0.1686869960754651 * x40 - 0.18836198527231982 * x42 + 0.17409128495357112 * x43 + 0.01790733637630751 * x44 - 0.0014411437008282687 * x45 + 0.04110074281151246 * x46 - 0.037880687354974296 * x47 + 0.04297535551610548 * x48 + 0.00757726336451113 * x50 + 0.3407798200376533 * x53 - 0.12873466465055017 * x56 - 0.2955132712159341 * x59 - 0.03695745467163119 * x60 + 0.06871891076566669 * x62;
                      }
                    } else {
                      if (x43 > 0.0) {
                        result =  -0.492653026656609 * x1 + 0.592341846034369 * x21 - 0.18395557326025425 * x28 + 0.5083512816552562 * x48 + 0.12755945853753192 * x50 + 0.11229107913688967 * x51 - 0.155178408875674 * x56 + 0.05461647429367592 * x62;
                      } else {
                        if (x36 > 0.0) {
                          result = 0.24478306098497446 * x1 - 0.34103776527854995 * x13 - 0.3115874083553048 * x39 - 0.556044380482589 * x45 + 0.008805861439512517 * x53;
                        } else {
                          result = 0.006069277507276037 * x14 + 0.09000079177812668 * x19 + 0.10361662898649426 * x61;
                        }
                      }
                    }
                  } else {
                    result =  -0.5244721707324967 * x51 + 0.23091031118939898 * x59;
                  }
                } else {
                  result = -0.0052;
                }
              } else {
                if (x18 > 0.0) {
                  result =  -0.05265630778838088 * x11 - 0.007987659508547644 * x19;
                } else {
                  result = 0.0013;
                }
              }
            } else {
              result = 0.05326460752269862 * x61;
            }
          }
        } else {
          if (x36 > 0.0) {
            if (x16 > 0.0) {
              if (x18 > 0.0) {
                if (x34 > 0.0) {
                  if (x31 > 0.0) {
                    if (x46 > 0.0) {
                      if (x4 > 0.0) {
                        result =  -0.0373932590264768 * x5 + 0.1668471956358103 * x14 + 0.1938959877730645 * x19 + 0.0016953980366574293 * x21 - 0.008144116691896837 * x22 + 0.04460081640361445 * x23 - 0.11137580296886905 * x30 - 0.06137707617732782 * x32 - 0.22759942877633346 * x36 + 0.08087838504157542 * x38 + 0.1609133025075093 * x42 + 0.15018095337196322 * x43 + 0.0016192320682884601 * x47 - 0.16393173162435365 * x54;
                      } else {
                        result = 0.06337954275886151 * x42 + 0.06263655186495946 * x46;
                      }
                    } else {
                      result =  -0.034568387601349185 * x34 - 0.09021141836387703 * x37 + 0.07782552207311644 * x56;
                    }
                  } else {
                    result = 0.0044;
                  }
                } else {
                  result = -0.018;
                }
              } else {
                result = -0.0147;
              }
            } else {
              if (x46 > 0.0) {
                if (x20 > 0.0) {
                  if (x33 > 0.0) {
                    if (x17 > 0.0) {
                      if (x19 > 0.0) {
                        result =  -0.04540878722483363 * x1 + 0.271622549368125 * x20 + 0.00775315478885258 * x23 - 0.19737872825412622 * x43 - 0.018312470585981396 * x61;
                      } else {
                        result = -0.0032;
                      }
                    } else {
                      if (x15 > 0.0) {
                        result =  -0.027729164667353708 * x46;
                      } else {
                        if (x51 > 0.0) {
                          result =  -0.12874447672355405 * x1 + 0.26515861888350817 * x18 + 0.27959446813208516 * x21 + 0.1148116648628229 * x25 - 0.2305996193928467 * x33 + 0.3498310634100654 * x42 - 0.05724035960646215 * x45 - 0.042602633511447 * x49 - 0.11176696488375577 * x52 + 0.07409045737104945 * x62;
                        } else {
                          result = 0.2908172235954666 * x33 - 0.05692520101704568 * x62;
                        }
                      }
                    }
                  } else {
                    result = 0.0042;
                  }
                } else {
                  result = 0.19446276500582865 * x1 + 0.03016280867120705 * x29 - 0.03750815970916919 * x30 + 0.009095340626943713 * x36 - 0.2323296874363383 * x50 + 0.2392182287980595 * x62;
                }
              } else {
                result =  -0.34927302266124216 * x10 - 0.04507542671151498 * x25 - 0.09071374143898701 * x27 - 0.016117965446168343 * x51 + 0.1713250888807136 * x60;
              }
            }
          } else {
            result =  -0.2972348664990828 * x54;
          }
        }
      } else {
        if (x18 > 0.0) {
          if (x40 > 0.0) {
            if (x35 > 0.0) {
              if (x19 > 0.0) {
                if (x45 > 0.0) {
                  if (x34 > 0.0) {
                    if (x3 > 0.0) {
                      if (x46 > 0.0) {
                        result = 0.020289308333602672 * x9 + 0.024844774914998473 * x10 - 0.05444263954451226 * x13 - 0.009521381208501354 * x16 - 0.3307501832045239 * x17 - 0.06457715919166644 * x18 - 0.1564921851315313 * x21 - 0.01748711365116454 * x22 - 0.11190029868405289 * x23 - 0.21686858592945235 * x26 + 0.32649368495271913 * x27 + 0.5255913906808867 * x28 - 0.21378262469689388 * x30 - 0.008502861983962358 * x31 - 0.4143295667346044 * x34 - 0.502677241758671 * x36 + 0.5302583369784011 * x37 + 0.06480518588372741 * x39 - 0.012151289056937863 * x42 - 0.194694256941479 * x44 + 0.007301921405774588 * x45 + 0.09760049146191835 * x46 + 0.6691265924435312 * x47 - 0.29846667086851425 * x50 - 0.08087346678429037 * x52 + 0.027738180274260994 * x54 + 0.08067584365117086 * x60;
                      } else {
                        result =  -0.23018033041757885 * x31 + 0.1984976018030189 * x62;
                      }
                    } else {
                      if (x9 > 0.0) {
                        if (x16 > 0.0) {
                          result =  -0.07342833586485199 * x1 + 0.053220808200143674 * x7 + 0.19381730326000096 * x8 + 0.006111272566698708 * x10 + 0.061869654857989356 * x11 + 0.21126390067884032 * x12 - 0.2093529646884411 * x13 - 0.006241563656953198 * x14 - 0.023619913361849723 * x15 + 0.04064461582176978 * x17 - 0.0075444745594981 * x18 + 0.0975259832243015 * x20 - 0.23503892248146918 * x21 + 0.0684710700975502 * x24 - 0.016391860021541103 * x26 - 0.12203932120503916 * x27 - 0.3228551173129956 * x29 + 0.011223646774779657 * x30 + 0.15163401170570195 * x31 + 0.3335265780386015 * x32 + 0.014009394371173283 * x33 + 0.44809587673571655 * x34 - 0.22525468203712007 * x35 + 0.22647073221282865 * x36 - 0.41580850370312755 * x37 + 0.22303973350279374 * x38 - 0.653769669208876 * x39 + 0.03550742426316417 * x40 + 0.01977322403052668 * x41 + 0.6115987863298394 * x43 + 0.08975194817245026 * x44 - 0.4779573537545195 * x46 + 0.023111157676094098 * x49 + 0.2097748596473604 * x55 + 0.011732402460535286 * x56 + 0.07224951171493041 * x57 - 0.19029944382312972 * x60;
                        } else {
                          result = -0.0020;
                        }
                      } else {
                        if (x37 > 0.0) {
                          result = 0.022348146030992357 * x1 - 0.6551671263681685 * x2 - 0.1468113195962073 * x3 + 0.4426274835145276 * x5 + 1.7714905686414564 * x6 - 0.7272953805905977 * x7 - 0.2583456003652015 * x8 + 0.1274050773152532 * x9 + 0.1715852459123189 * x10 - 0.47754323591629744 * x11 + 0.46345306532400893 * x12 - 0.41375037565231004 * x14 + 0.7000698678161208 * x15 - 0.2148621984457764 * x16 + 1.0042988442126206 * x17 - 1.2309028514853042 * x18 - 0.2620874954858642 * x19 + 0.3163578778220962 * x20 + 0.08668293593314472 * x21 + 0.5180331217391924 * x22 + 0.15194674807215128 * x23 - 0.15132739991424848 * x24 - 0.9289190121612019 * x25 + 0.3003322442363615 * x26 + 0.1657530507587343 * x27 - 0.060850956513949166 * x28 + 0.40319565079471664 * x29 - 1.0107245813508623 * x31 - 0.976995912918406 * x32 + 0.20213975503552323 * x33 + 0.8145976646816453 * x34 - 0.1495725801335239 * x35 + 1.2310060761782882 * x37 - 1.5625637900422484 * x38 + 0.7082504247350869 * x39 + 0.03852861665620276 * x40 - 0.2562811065055255 * x42
 + 0.3194288124383642 * x43 + 0.6694379401731787 * x44 - 0.5369748529017194 * x45 - 0.14495327512249892 * x46 + 0.09006354462836412 * x47 - 0.08647648654717711 * x48 - 0.30771280978470306 * x49 + 1.3271856838659422 * x50 - 0.12771475139420457 * x51 - 0.4215696461458327 * x53 + 0.6330512358963897 * x54 + 0.11274717091155381 * x55 + 0.00714830998912804 * x56 - 0.0614961108450979 * x57 + 0.22466854427923724 * x58 - 0.6798636341645423 * x60 - 0.28559691931292425 * x61 - 0.14580487883961527 * x62;
                        } else {
                          result =  -0.18268765370643866 * x26 + 0.02841902710177514 * x62;
                        }
                      }
                    }
                  } else {
                    result = 0.01547944882407136 * x22 + 0.15628103912928312 * x23 + 0.11038587242081654 * x38 + 0.01146432273258645 * x39;
                  }
                } else {
                  if (x50 > 0.0) {
                    result = 0.0014;
                  } else {
                    if (x42 > 0.0) {
                      result =  -0.5179703691735255 * x1 - 0.014330382402422523 * x14 + 0.3172303724803908 * x18 + 0.333092803037836 * x24 - 0.02839760687345511 * x37 - 0.20928351012905172 * x44 + 0.09242314992340576 * x48 + 0.6093695481361764 * x51 + 0.38555503025106824 * x53 + 0.07860345023932412 * x54 - 0.019174051654441335 * x59;
                    } else {
                      result =  -0.18635574954347128 * x1 - 0.07404477794086574 * x25 - 0.08711462379961504 * x56 - 0.04834884976854697 * x60;
                    }
                  }
                }
              } else {
                result =  -0.09860844729081479 * x2 + 0.008323601806676465 * x13 + 0.3407404447059315 * x22 + 0.0427743478400626 * x26 - 0.011255200851806396 * x37 + 0.026091486201834064 * x44 + 0.24712030039503594 * x46 - 0.3622549687148043 * x52 + 0.13628879157721982 * x57;
              }
            } else {
              if (x25 > 0.0) {
                if (x11 > 0.0) {
                  if (x8 > 0.0) {
                    result =  -0.403085448307878 * x14;
                  } else {
                    result = 0.0171;
                  }
                } else {
                  if (x15 > 0.0) {
                    result = 0.0038;
                  } else {
                    result =  -0.031001861062664556 * x24 - 0.29307521303848905 * x42;
                  }
                }
              } else {
                result =  -0.11717818778674226 * x40 + 0.22715971343788968 * x58;
              }
            }
          } else {
            if (x2 > 0.0) {
              result = -0.00060;
            } else {
              result = 0.2619124929452274 * x14 + 0.2632786316222065 * x21 + 0.247074944951559 * x23;
            }
          }
        } else {
          if (x7 > 0.0) {
            result =  -0.01537611755357817 * x8 - 0.45810476572911185 * x47 + 0.549615633689708 * x51;
          } else {
            if (x8 > 0.0) {
              result =  -0.13501166014452676 * x24 - 0.07437778411341965 * x28 + 0.06901781132267563 * x45 + 0.0183797206510513 * x56;
            } else {
              if (x5 > 0.0) {
                result =  -0.046937282283480077 * x33 + 0.09576002407588645 * x49;
              } else {
                if (x43 > 0.0) {
                  if (x28 > 0.0) {
                    if (x20 > 0.0) {
                      if (x12 > 0.0) {
                        result = 0.07683489410614895 * x62;
                      } else {
                        if (x33 > 0.0) {
                          result =  -0.3934332860270052 * x1 - 0.5184301924674891 * x8 + 0.48465136827316835 * x10 + 0.0034724753327133764 * x11 + 0.36086891278384425 * x12 + 0.05480896478576245 * x13 + 0.0004516048763107027 * x15 - 0.05217867151968254 * x18 - 0.012254359346376907 * x21 - 0.26703274280879874 * x22 + 0.07202487500295829 * x23 + 0.20851939748356882 * x28 - 0.29732688613320857 * x29 - 0.039667995892156326 * x30 - 0.11962036730494709 * x31 + 0.10192844113704537 * x32 + 0.629671458486293 * x33 - 0.8377514566307487 * x34 + 0.09655190200150847 * x37 - 0.05602341573692231 * x39 - 0.0004271938019155296 * x41 + 0.035780532294725 * x43 + 0.0020993523979848886 * x44 + 0.15265465373021508 * x49 + 0.0006285851656757078 * x52 - 0.028097146628844258 * x53 + 0.049231034286465386 * x54 + 0.18011100965618607 * x55 - 0.35384462612663314 * x56 + 0.3925850011917729 * x58 + 0.031807629936910574 * x59 - 0.2669167902054217 * x62;
                        } else {
                          result = 0.2516128260682532 * x13 + 0.0788236352220291 * x50;
                        }
                      }
                    } else {
                      result =  -0.44795868447835285 * x2 + 0.18202799509717907 * x5 + 0.3518853858886686 * x8 - 0.00002199696104823833 * x12 + 0.17533149166949394 * x15 - 0.3137269433159888 * x21 + 0.2595295737161365 * x23 + 0.0026742019788644025 * x24 + 0.0042548407513306715 * x27 - 0.03692661275397837 * x34 - 0.060821597298378986 * x37 - 0.3247662753391976 * x38 + 0.5778381697761726 * x40 - 0.21395815527020043 * x44 - 0.07435915561206623 * x45 + 0.11561916969254755 * x53;
                    }
                  } else {
                    if (x34 > 0.0) {
                      result = 0.17531189992018353 * x8 + 0.09713369935924969 * x26 - 0.3560516501606243 * x35 + 0.28405324152450245 * x47;
                    } else {
                      if (x33 > 0.0) {
                        result = 0.0088;
                      } else {
                        result =  -0.2826632113107488 * x34 + 0.11713080649699907 * x42 + 0.011612779672474228 * x58;
                      }
                    }
                  }
                } else {
                  if (x33 > 0.0) {
                    result = 0.10700662010255389 * x4 - 0.04552658603624829 * x37;
                  } else {
                    result =  -0.21584942051747522 * x7;
                  }
                }
              }
            }
          }
        }
      }
    } else {
      if (x4 > 0.0) {
        if (x15 > 0.0) {
          if (x14 > 0.0) {
            if (x8 > 0.0) {
              if (x30 > 0.0) {
                if (x48 > 0.0) {
                  if (x42 > 0.0) {
                    if (x27 > 0.0) {
                      result =  -0.615631069373816 * x1 + 0.3805186452468623 * x2 + 0.5615762943106911 * x16 - 0.008976913580129758 * x24 - 0.5635451917308699 * x25 + 0.6377249753559581 * x29 - 0.7317151035717483 * x35 + 0.20622177636556469 * x36 - 0.44126677249867674 * x37 + 0.1873059764931631 * x43 - 0.024350496176045514 * x49 + 0.11421852636831097 * x55 - 0.022075925183784293 * x61;
                    } else {
                      result = 0.3351173403510847 * x2;
                    }
                  } else {
                    result = -0.0083;
                  }
                } else {
                  if (x56 > 0.0) {
                    result = -0.0014;
                  } else {
                    result =  -0.21034404878416021 * x57;
                  }
                }
              } else {
                if (x61 > 0.0) {
                  if (x17 > 0.0) {
                    if (x36 > 0.0) {
                      result = 0.2517011120895932 * x10 - 0.35025535412973735 * x11 - 0.19810637665633388 * x18 + 0.01384370113335826 * x38 + 0.0020385990249907845 * x47 + 0.4133020753493029 * x50 - 0.003133646158770164 * x53 - 0.41429338117567166 * x58;
                    } else {
                      result =  -0.6649818757821216 * x7 + 0.015619595474790044 * x13 - 0.038258345496462676 * x19 - 0.13045261246481565 * x33 + 0.6588939232151759 * x43 + 0.0007027939471221617 * x49 + 0.24264312421366194 * x50 - 0.00543259721125431 * x56;
                    }
                  } else {
                    if (x38 > 0.0) {
                      result =  -0.31271537634719676 * x27 - 0.22505433767115218 * x28 + 0.7174792795916228 * x39 - 0.22350459461223696 * x61;
                    } else {
                      result =  -0.08156950140254164 * x7 - 0.12466915725019806 * x9 - 0.19037029608436307 * x22 + 0.10899444078230537 * x46;
                    }
                  }
                } else {
                  result = 0.18189227076584474 * x44;
                }
              }
            } else {
              result =  -0.09808625848608585 * x43 - 0.031065245323674984 * x51 - 0.24660896603740795 * x54;
            }
          } else {
            result = 0.583825992296897 * x24 + 0.1355449026596628 * x28 + 0.2223522247884807 * x33 + 0.27482101501734313 * x35 + 0.0482624689394165 * x37 + 0.002152572250231503 * x59;
          }
        } else {
          if (x47 > 0.0) {
            if (x18 > 0.0) {
              result = 0.12464427141379088 * x2 + 0.038063623915132024 * x11 - 0.11727707599805431 * x16 - 0.002075432928001432 * x44 - 0.29503481744833027 * x46 + 0.6414941047352469 * x48 - 0.09579719955131626 * x58;
            } else {
              if (x1 > 0.0) {
                result =  -1.196464626982239 * x1 + 0.7663757221003253 * x2 - 0.3908395484235079 * x3 + 0.5323249848595598 * x5 - 0.013187426144908478 * x6 + 0.16459695954424752 * x7 + 0.241128734324191 * x9 + 0.28100393473523627 * x10 - 0.1444656457343364 * x11 + 0.2407562081619054 * x13 - 0.183610694867302 * x14 - 0.42536527314413275 * x16 + 0.6583878381769901 * x17 + 0.02141280380817343 * x18 - 1.7757875124757438 * x19 - 0.14051686841410957 * x22 - 0.7474215909632367 * x23 + 0.7970420757796719 * x24 - 0.7090662972943164 * x27 + 0.1722262953478556 * x28 - 0.08520418383795106 * x29 + 0.1125774062426933 * x30 - 0.013053316726485681 * x31 + 0.0005811408131654584 * x32 + 0.06630965688682795 * x33 + 0.1041136118355656 * x34 + 0.27172058277108035 * x36 + 0.3707380367065796 * x38 - 0.36714688450214694 * x39 + 0.1949205891542913 * x40 - 0.136612794233357 * x41 + 0.37224304240221323 * x42 - 0.0007748544175539446 * x43 + 0.08724562720727587 * x44 - 0.4406686478908231 * x45 - 0.5784437237505111 * x47 + 0.601287028021861 * x49
 - 0.0026374852289816958 * x50 - 0.6492981998172227 * x51 - 0.015288473700198984 * x53 + 0.03062165053987223 * x54 - 0.0373718246004864 * x57 + 0.0472512184242992 * x58 + 0.2948470069257673 * x60 + 0.010102909521184124 * x61 - 0.21539462703350515 * x62;
              } else {
                if (x52 > 0.0) {
                  result =  -0.23574678686801703 * x20 + 0.14635263292379108 * x26 - 0.32498628594199025 * x32 - 0.2613703696653087 * x44 + 0.2565979023162144 * x49 - 0.38030178435875234 * x56 + 0.2141060218469997 * x59;
                } else {
                  result =  -0.03765132136210242 * x26 - 0.2820666278145388 * x55;
                }
              }
            }
          } else {
            if (x25 > 0.0) {
              result =  -0.0814710492448928 * x5 - 0.47095369763359707 * x31;
            } else {
              result = 0.09103959320340603 * x21 - 0.1582884820785508 * x26 - 0.16604545122087463 * x33 - 0.0004090709341510986 * x34 - 0.02360264593962896 * x62;
            }
          }
        }
      } else {
        if (x35 > 0.0) {
          if (x37 > 0.0) {
            if (x12 > 0.0) {
              if (x5 > 0.0) {
                result = 0.20682341320664768 * x8 - 0.3581214552858376 * x37 + 0.309787256961739 * x52;
              } else {
                if (x16 > 0.0) {
                  if (x2 > 0.0) {
                    result =  -0.22879324340867468 * x53;
                  } else {
                    if (x19 > 0.0) {
                      result = 0.7747201384409366 * x8 + 0.02217493044528424 * x35 - 0.09315455904542129 * x42 + 0.27765722019056327 * x53;
                    } else {
                      if (x57 > 0.0) {
                        result =  -0.28209322644160384 * x1 + 0.059755327905929904 * x3 - 0.24153960760859133 * x9 + 0.11494579762168551 * x37 + 0.15238430576385617 * x56 - 0.11386891040771954 * x57 - 0.22665259487304637 * x58;
                      } else {
                        result = 0.38163022893043363 * x37;
                      }
                    }
                  }
                } else {
                  result = 0.02081666877105004 * x9 + 0.3625356284007415 * x11 - 0.00853297872056094 * x13 - 0.5856190143509385 * x14 + 0.0329965405456224 * x23 + 0.05810951882003538 * x33 + 0.03147019099969757 * x34 - 0.06073590031078012 * x43 - 0.24387796572637116 * x53 - 0.31725318890514237 * x54 + 0.48690329625053247 * x60;
                }
              }
            } else {
              if (x10 > 0.0) {
                if (x56 > 0.0) {
                  result =  -0.12753941658744725 * x29 + 0.07321651156245683 * x42 + 0.0805803551834564 * x46 - 0.14528115603860933 * x57;
                } else {
                  result = 0.2640713960440931 * x38 - 0.006559552941513122 * x61;
                }
              } else {
                if (x16 > 0.0) {
                  result =  -0.3104036022284654 * x6 - 0.18836488924115113 * x39 - 0.09709415486014678 * x46 + 0.2680181546111028 * x58;
                } else {
                  if (x14 > 0.0) {
                    if (x55 > 0.0) {
                      result = 0.04409308355128286 * x1 + 0.016689750601735887 * x61;
                    } else {
                      result =  -0.02509507089822145 * x1 + 0.1993106816187594 * x49;
                    }
                  } else {
                    if (x34 > 0.0) {
                      if (x42 > 0.0) {
                        if (x44 > 0.0) {
                          if (x48 > 0.0) {
                            if (x36 > 0.0) {
                              if (x30 > 0.0) {
                                result =  -0.25610809223312203 * x1 + 0.6313896908275086 * x2 - 0.4716326739770082 * x3 + 0.16798866539194432 * x5 + 0.2291142177368555 * x6 - 0.41517913837183545 * x7 - 0.027716924705987942 * x8 - 0.10684457329806589 * x9 - 0.1761832344354538 * x11 + 0.9462873270356725 * x13 - 0.9398354943950815 * x14 + 0.09625837663778555 * x15 + 0.4711506405038606 * x16 + 0.41091499610937576 * x18 + 0.021691506291642737 * x19 - 0.0963139958846872 * x20 - 0.3832722303992566 * x22 + 0.31984774918241066 * x23 + 0.04254872387976075 * x24 + 0.08702558165211198 * x25 - 0.10658501681252487 * x26 - 0.6435888456479367 * x28 - 0.06574194983774799 * x29 + 0.11055252309150909 * x30 + 0.9584123228602319 * x31 - 0.43025195428218205 * x32 + 0.21342959011059076 * x34 + 0.019893150641822784 * x35 - 0.5634229711136947 * x37 + 0.6744389879293842 * x38 + 0.742405707643198 * x41 - 0.5821295778216156 * x42 + 0.017260506288478108 * x43 - 0.7720136867438421 * x44 + 0.5101026530839814 * x45 - 0.6335217619587384 * x46 + 0.3998467659759478 * x47
 + 0.43585095847028127 * x48 + 0.2932988286613573 * x49 - 0.43438631830187124 * x50 - 0.24275947297672648 * x51 - 0.70523351096393 * x53 + 0.783508331103516 * x54 + 0.34526574501646384 * x55 - 0.5202253560200814 * x56 + 0.39206007140971705 * x57 - 0.24548481607490727 * x60 - 0.12176907121667478 * x61 + 0.20336250642139247 * x62;
                              } else {
                                if (x28 > 0.0) {
                                  result = 0.11346297422928066 * x14 - 0.019816123996373773 * x24 + 0.838034072846121 * x29 + 0.04596837661698841 * x53 + 0.13659313235583467 * x61;
                                } else {
                                  if (x23 > 0.0) {
                                    result =  -0.22294450525398737 * x8;
                                  } else {
                                    result =  -0.03783151163384098 * x2 - 0.15856839983287996 * x3 - 0.1386199596105084 * x4 + 0.1823995784202119 * x7 + 0.02941116186631702 * x14 + 0.35382518972508653 * x18 - 0.005091734742073856 * x20 + 0.04342311987799058 * x23 - 0.4960915134088762 * x24 + 0.8069237069670605 * x29 - 0.39132345235754373 * x32 + 0.5095144731855458 * x34 - 0.012055088875640612 * x37 + 0.0031619905247581934 * x38 - 0.0013911208313580777 * x41 + 0.0211496866227086 * x44 - 0.1035629396626072 * x49 - 0.2976339831080295 * x50 - 0.0018134945656701404 * x51 + 0.055586708428500345 * x56 - 0.14571118836088523 * x60 + 0.07974338604043978 * x62;
                                  }
                                }
                              }
                            } else {
                              result = 0.0084;
                            }
                          } else {
                            if (x59 > 0.0) {
                              if (x51 > 0.0) {
                                result =  -0.5052336355963915 * x14 - 0.010999154666945711 * x39 - 0.65901613237217 * x60;
                              } else {
                                result = 0.2037729255008976 * x1;
                              }
                            } else {
                              result =  -0.13910019710141167 * x8 - 0.32654629222534765 * x34 + 0.006141310926382559 * x57;
                            }
                          }
                        } else {
                          result = 0.17916407758744754 * x20 - 0.08978240392244864 * x61;
                        }
                      } else {
                        if (x29 > 0.0) {
                          result =  -0.31427001054512527 * x28;
                        } else {
                          result =  -0.07147435820221358 * x19 + 0.05118123553034862 * x60;
                        }
                      }
                    } else {
                      result =  -0.16190689700719985 * x7 + 0.4694048701532032 * x24 + 0.05668891084542844 * x38 - 0.012733860981375585 * x43 + 0.23395036467395236 * x48 + 0.06877337315147888 * x51 - 0.27992804756629064 * x60;
                    }
                  }
                }
              }
            }
          } else {
            if (x1 > 0.0) {
              result =  -0.07131504158704234 * x61;
            } else {
              if (x56 > 0.0) {
                result = 0.19954909312450395 * x2 - 0.3984406156363457 * x18 - 0.13148909056181912 * x36 - 0.124022823942207 * x44 - 0.1092645517291787 * x60;
              } else {
                result = 0.11194728313614684 * x24 + 0.06567210416307942 * x25;
              }
            }
          }
        } else {
          if (x8 > 0.0) {
            result =  -0.1688942625763304 * x49 + 0.013466245601936476 * x57;
          } else {
            if (x45 > 0.0) {
              if (x29 > 0.0) {
                if (x16 > 0.0) {
                  result = 0.00080;
                } else {
                  if (x61 > 0.0) {
                    if (x39 > 0.0) {
                      result = 0.23080908639741263 * x19 - 0.05888567469842968 * x32;
                    } else {
                      result =  -0.13353727278800212 * x9 + 0.23006065902642311 * x17 - 0.03385490612182045 * x20;
                    }
                  } else {
                    result = 0.0559970315276139 * x14 - 0.040235987647168105 * x56;
                  }
                }
              } else {
                if (x15 > 0.0) {
                  if (x2 > 0.0) {
                    result = 0.0025;
                  } else {
                    if (x36 > 0.0) {
                      result = 0.0125;
                    } else {
                      result = 0.28791337132640193 * x3 + 0.3288029143971942 * x37 + 0.034972211515858075 * x55;
                    }
                  }
                } else {
                  result =  -0.6129603267323736 * x1 + 0.6420371186732462 * x2 + 0.11861637691829185 * x3 + 0.23696334610185693 * x5 - 1.044782438680211 * x9 + 0.12177229609652027 * x10 + 1.3555442606875918 * x11 - 0.9000527549030415 * x12 + 0.27325641665148354 * x13 - 0.4112893938797294 * x14 - 0.7807821020575558 * x15 + 1.0398561258166348 * x16 - 0.6979584670386836 * x17 + 0.40590123918519305 * x19 + 0.043778756893107396 * x21 - 0.43545911636664936 * x24 + 0.6027228328127546 * x26 + 0.0990458293313511 * x28 - 0.9338826690208799 * x30 + 0.5160312724595904 * x31 - 0.012912327857263765 * x32 + 0.5030612143734565 * x35 - 0.7501658373468156 * x36 + 0.22474378099103354 * x37 - 0.7820521670926965 * x38 + 0.7357140367196844 * x39 + 0.6144997995022412 * x41 - 0.0902323477238596 * x43 - 0.7798584183956353 * x44 - 0.8672427414952399 * x45 + 0.2491444243934336 * x46 - 0.06521591521351251 * x47 + 0.1836591014451943 * x48 + 0.03596593258602977 * x49 - 0.282570226909182 * x50 - 0.030443074024130067 * x51 - 0.023476959740479572 * x52
 + 0.4018793665739142 * x53 + 0.07343285112268036 * x55 + 0.20677043640283033 * x58 + 0.45903229315524563 * x60 - 0.4862232309530306 * x61 - 0.07401015341138067 * x62;
                }
              }
            } else {
              if (x49 > 0.0) {
                if (x38 > 0.0) {
                  result = 0.523775197287166 * x39 - 0.21094469297258758 * x59;
                } else {
                  result = 0.008353348964043324 * x4 - 0.22005496789156545 * x60;
                }
              } else {
                result =  -0.15345223107498765 * x1 - 0.10911917721413686 * x7 + 0.08568350128807858 * x11 - 0.14788030558494786 * x22 + 0.28561804859340584 * x24 - 0.053206467441707754 * x29 + 0.002353346630093115 * x33 + 0.09552418922909126 * x37 + 0.12314784425296654 * x47 - 0.5286420112965265 * x49 + 0.19377162781062088 * x53 + 0.34743644665707135 * x54;
              }
            }
          }
        }
      }
    }
  } else {
    if (x27 > 0.0) {
      if (x2 > 0.0) {
        if (x19 > 0.0) {
          if (x15 > 0.0) {
            if (x18 > 0.0) {
              if (x59 > 0.0) {
                if (x21 > 0.0) {
                  result =  -0.3911107944773102 * x1 + 0.20020389355913956 * x2 + 0.8847362704995178 * x3 + 0.12080191326253933 * x5 - 0.23143376604726748 * x6 - 0.11172908668778665 * x8 + 0.3464427562302183 * x9 - 0.1763950976841709 * x10 + 0.035748588454487175 * x11 - 0.5078659203339455 * x12 + 0.06131531821715176 * x13 + 0.26404402957472706 * x14 + 0.05815339686210142 * x15 - 0.33577717076392904 * x16 + 0.15201998753665585 * x17 - 0.8416020000739055 * x18 + 0.6716605254539606 * x20 + 0.20510015237386306 * x21 - 0.785725658516001 * x22 + 0.4183764670576138 * x26 + 0.2952503056348322 * x31 - 0.08821524616310251 * x32 - 0.0421904133047017 * x34 - 0.07281857687824914 * x35 + 0.24084874082835026 * x38 + 0.2246261965627001 * x40 + 0.3496046775852687 * x42 - 0.5481568211828148 * x43 + 0.306210846451406 * x44 + 0.27521693824350574 * x47 + 0.4131852528926057 * x48 - 0.05853093971046564 * x51 + 0.059061859340977824 * x52 - 0.057728661157691666 * x53 + 0.08505332480805217 * x54 + 0.1975964882626242 * x55 - 0.17584058162563593 * x57
 - 0.260858511791654 * x58 + 0.31918888186392613 * x59 - 0.5119599005958951 * x60 + 0.08244591951153676 * x61 + 0.28205990237010725 * x62;
                } else {
                  result = 0.04670904342405112 * x2 + 0.10704284732383258 * x6 + 0.13820517689585463 * x62;
                }
              } else {
                if (x36 > 0.0) {
                  if (x3 > 0.0) {
                    if (x6 > 0.0) {
                      if (x56 > 0.0) {
                        result =  -0.2110831829401843 * x11 + 0.17685821677455094 * x29;
                      } else {
                        result =  -0.4129675079475688 * x1 - 0.3252800329303923 * x6 + 0.24749368194040716 * x7 + 0.0414975267744508 * x8 + 0.7298149497308168 * x10 - 0.6489538580232334 * x13 + 0.8394042159043179 * x17 + 0.07655874928557097 * x18 + 0.2272439902741352 * x19 - 0.008444064060269778 * x20 - 1.342491456451641 * x21 - 0.15587099772122992 * x22 - 0.3061202680110302 * x23 + 0.4033876254878878 * x24 + 0.04013225011253218 * x25 + 0.43722124629459375 * x26 + 0.3621654486284458 * x27 - 0.21487618992499008 * x29 - 0.22016520287578403 * x33 + 0.12886376022411705 * x35 - 0.0007113206137727259 * x36 + 0.44069753897157976 * x37 + 0.0636517220195336 * x40 - 0.12632824642341106 * x41 - 0.1456830508659044 * x43 + 0.3048811933934906 * x45 + 0.42539267286234084 * x47 + 0.1479891064041031 * x50 + 0.5466040000318384 * x52 - 0.7880170380158013 * x53 - 0.5719247192995224 * x56 - 0.19423641921245566 * x58 + 0.48733493082619483 * x59 + 0.00511691925391348 * x61 - 0.05451928317174183 * x62;
                      }
                    } else {
                      result =  -0.7206515689123242 * x44 + 0.26480301678273993 * x61;
                    }
                  } else {
                    result = 0.18174542517120945 * x60 + 0.02158198458070747 * x62;
                  }
                } else {
                  if (x55 > 0.0) {
                    result = 0.12451718509387709 * x4 - 0.4045975489528223 * x10 - 0.17982089654848193 * x31;
                  } else {
                    if (x56 > 0.0) {
                      result = 0.0066;
                    } else {
                      if (x47 > 0.0) {
                        result = 0.13740589540655906 * x1 + 0.11767914861239712 * x14;
                      } else {
                        if (x50 > 0.0) {
                          result = 0.0096;
                        } else {
                          if (x21 > 0.0) {
                            if (x6 > 0.0) {
                              if (x4 > 0.0) {
                                result =  -0.6162508294594901 * x1 + 0.23959840478210012 * x5 + 0.32505328338197764 * x7 - 0.0873431000597837 * x8 + 0.0010873804516191106 * x9 - 0.0188160901121388 * x10 - 0.2538298638009259 * x11 - 0.027845756159705606 * x16 - 0.18916011559044338 * x18 + 0.9173082712537108 * x20 - 0.17729444377041054 * x21 - 0.42483513414845836 * x22 - 0.009286816830044297 * x26 - 0.021314126284777295 * x28 + 0.04332623326485064 * x30 + 0.12191885955518597 * x31 - 0.012284460237210493 * x33 - 0.2061981917208807 * x34 - 0.298750431917137 * x40 - 0.5040449223167397 * x42 + 0.0424225319435726 * x45 + 0.11707707767939546 * x47 + 0.02953560415884341 * x48 + 0.35112837272519537 * x49 + 0.5046620841946857 * x51 + 0.2757317633027946 * x54 + 0.029491521167561555 * x55 - 0.7769627213427092 * x56 + 0.4134249865716713 * x57 - 0.18168804856816884 * x58 - 0.04634591816765777 * x60 + 0.07325858434523075 * x62;
                              } else {
                                result = 0.32715999596484885 * x19 - 0.5273783244343906 * x27;
                              }
                            } else {
                              if (x8 > 0.0) {
                                result = 0.309311057787534 * x9 - 0.15897553408381976 * x37 + 0.07913850982702632 * x60;
                              } else {
                                result = 0.14601461338929325 * x61;
                              }
                            }
                          } else {
                            result = 0.09749157278202417 * x54;
                          }
                        }
                      }
                    }
                  }
                }
              }
            } else {
              result =  -0.18167002480276423 * x1 - 0.004866572760108836 * x62;
            }
          } else {
            if (x48 > 0.0) {
              result = 0.13800449351553598 * x2 + 0.3009571719364714 * x20 + 0.17737390420440743 * x22 - 0.29163054401682 * x54;
            } else {
              result =  -0.3898314426885173 * x1 + 0.1173356283594047 * x2 + 0.06266540912188102 * x12 + 0.7922528603999281 * x13 + 0.17277823870262737 * x18 + 0.04598552900027404 * x37 - 0.2985253945911686 * x40 - 0.004457261844106858 * x56;
            }
          }
        } else {
          if (x47 > 0.0) {
            result =  -0.08300388517945252 * x2 + 0.1398066302980687 * x11 + 0.05274199349003008 * x36 + 0.07574273149736534 * x55;
          } else {
            if (x6 > 0.0) {
              result = 0.0788454293182149 * x2 + 0.3410887874576553 * x5 - 0.35350021517471275 * x7 + 0.07870690234060823 * x13 - 0.25234899507932124 * x15 + 0.06382556808664885 * x30 - 0.2594256604672706 * x33 + 0.021931473199388322 * x35 - 0.016649763755321144 * x41 + 0.1643755221515773 * x46 - 0.22007220929696655 * x48 + 0.005476236689216974 * x50 + 0.3524656839164161 * x54 - 0.20368770996684962 * x55 - 0.2968338391860768 * x60 + 0.23760618780296855 * x61;
            } else {
              result = 0.0027;
            }
          }
        }
      } else {
        if (x19 > 0.0) {
          if (x25 > 0.0) {
            if (x24 > 0.0) {
              if (x22 > 0.0) {
                if (x28 > 0.0) {
                  if (x12 > 0.0) {
                    if (x3 > 0.0) {
                      result = 0.23130609736897076 * x13 - 0.31397694022998307 * x29 - 0.05901953013848214 * x46 - 0.12070420115024064 * x54;
                    } else {
                      if (x44 > 0.0) {
                        result =  -0.045680807542378084 * x15 - 0.09521493672490526 * x23 + 0.056379880851918175 * x29 + 0.026628407998823496 * x48 + 0.11371234111119265 * x49 - 0.06697996379715036 * x54 - 0.04973292130757171 * x55 - 0.20190788733095372 * x56 + 0.1365450366163085 * x58 + 0.018604508714882808 * x62;
                      } else {
                        if (x30 > 0.0) {
                          if (x26 > 0.0) {
                            if (x9 > 0.0) {
                              if (x54 > 0.0) {
                                if (x6 > 0.0) {
                                  result = 0.2258382595369935 * x7 - 0.058849424744324856 * x29 - 0.1895143813125065 * x36;
                                } else {
                                  result =  -1.1291046733375714 * x20;
                                }
                              } else {
                                if (x50 > 0.0) {
                                  result =  -0.038281776271481806 * x21 - 0.1585394319779542 * x61 + 0.12160651825366464 * x62;
                                } else {
                                  result = 0.5727642262559209 * x25 - 0.2617912753688437 * x27 + 0.10248036005542174 * x40 - 0.01607126421611995 * x44 + 0.048840010861269774 * x59;
                                }
                              }
                            } else {
                              if (x37 > 0.0) {
                                result =  -0.05854193738231532 * x24 - 0.23613740110455878 * x38 - 0.054115366080367246 * x54;
                              } else {
                                result =  -0.09534522694285781 * x2 - 0.18358974388014127 * x15 - 0.12228042106164126 * x58;
                              }
                            }
                          } else {
                            result = 0.0069;
                          }
                        } else {
                          if (x10 > 0.0) {
                            result =  -0.35562351916143975 * x17;
                          } else {
                            result = 0.00080;
                          }
                        }
                      }
                    }
                  } else {
                    if (x55 > 0.0) {
                      result = 0.014671560244391299 * x3 - 0.024238411764259976 * x26 - 0.21679327826389047 * x36 + 0.6146978882447955 * x39 + 0.018224124917017824 * x49 - 0.19678798664116529 * x55;
                    } else {
                      result = 0.003939851012327056 * x2 + 0.006595464122268411 * x3 + 0.11902126007118409 * x8 + 0.17336381803110118 * x16 - 0.005439857479895493 * x24 + 0.09582406461629793 * x31 + 0.2253619675423982 * x36 - 0.30081872442409124 * x37 - 0.0647098225773991 * x43 + 0.6765423361304658 * x52 - 0.24444711207235956 * x56 - 0.1295586499035217 * x58 - 0.028842448011253678 * x59;
                    }
                  }
                } else {
                  result = 0.0538559896633093 * x7 + 0.07979322456961381 * x12 + 0.09928274391371336 * x14 - 0.0359088721974557 * x40 + 0.1606348432984624 * x43 - 0.18041039921073015 * x49;
                }
              } else {
                if (x61 > 0.0) {
                  result = 0.15773295108175128 * x39 - 0.022829400983351233 * x62;
                } else {
                  result =  -0.005509509324446198 * x10 + 0.06590937730522095 * x40 - 0.0021737043600636797 * x57;
                }
              }
            } else {
              if (x55 > 0.0) {
                result = 0.0028;
              } else {
                result =  -0.16248595463670695 * x57;
              }
            }
          } else {
            result =  -0.2501743503753798 * x9 - 0.0176193342538993 * x32 + 0.21803259556749863 * x44 - 0.08147679840554031 * x54;
          }
        } else {
          if (x56 > 0.0) {
            result =  -0.6308828595386369 * x1 + 0.2834736631154997 * x3 + 0.11729542982104871 * x5 + 0.21763017032667692 * x7 + 0.1497464832411413 * x9 + 0.11817699525789994 * x10 - 0.15045488403861101 * x11 - 0.10303925732796836 * x24 + 0.1952919318464638 * x32 - 0.2074543864270224 * x33 + 0.26504264858933085 * x41 - 0.2673725001010092 * x42 - 0.0005604237419983 * x43 + 0.1478353753119673 * x46 - 0.06900768301752101 * x48 + 0.17468533976006564 * x57 - 0.04952193841511944 * x62;
          } else {
            if (x47 > 0.0) {
              result =  -0.4272685215101943 * x7 - 0.1363909826603344 * x35 + 0.3851266935277129 * x42 + 0.05793005078110278 * x43 - 0.3691554786914256 * x48;
            } else {
              if (x29 > 0.0) {
                if (x16 > 0.0) {
                  result =  -0.825196266217923 * x17 + 0.18989986911731638 * x53;
                } else {
                  result =  -0.2645521308792302 * x49;
                }
              } else {
                result = 0.6658733859600195 * x6 - 0.3590870206847391 * x15 - 0.033349569036578874 * x28 + 0.0132127632088641 * x51 - 0.0034507338622124938 * x62;
              }
            }
          }
        }
      }
    } else {
      if (x32 > 0.0) {
        if (x45 > 0.0) {
          if (x21 > 0.0) {
            result = 0.014962661032245445 * x1 - 0.053171402679078876 * x15 - 0.0011103560276923528 * x17 + 0.15746231769537247 * x31 + 0.13082939089852663 * x33 - 0.33109582190524095 * x49 + 0.055046290519542664 * x55;
          } else {
            if (x25 > 0.0) {
              result = 0.0029090993695374324 * x44 + 0.13571185600725816 * x59;
            } else {
              if (x55 > 0.0) {
                if (x3 > 0.0) {
                  if (x17 > 0.0) {
                    result =  -0.11123505442864644 * x1 + 0.08552311705102329 * x35 + 0.2035217646791742 * x44 - 0.03178724617909449 * x58;
                  } else {
                    result =  -0.22294450525398737 * x17;
                  }
                } else {
                  result = 0.11258404873688654 * x15 + 0.020297841636411674 * x62;
                }
              } else {
                result =  -0.016838243640143295 * x8 - 0.0029930799126740458 * x14 - 0.19440387168546522 * x37;
              }
            }
          }
        } else {
          if (x47 > 0.0) {
            if (x39 > 0.0) {
              result =  -0.04311572316390894 * x18 + 0.05875875267845571 * x60;
            } else {
              if (x59 > 0.0) {
                if (x10 > 0.0) {
                  result =  -0.11435111733184655 * x11 + 0.3698448852080788 * x60;
                } else {
                  result =  -0.2878869680662423 * x14;
                }
              } else {
                result = 0.04130518433631131 * x1 - 0.6456207078113125 * x57;
              }
            }
          } else {
            result =  -0.13871484044789076 * x1 - 0.044436045678639645 * x2 + 0.2179082652034921 * x3 + 0.01594357690443895 * x6 + 0.11646821071221129 * x7 + 0.10283225678078325 * x10 - 0.24415032479740117 * x12 + 0.02301901593738972 * x14 + 0.07352925927639277 * x15 + 0.09406901086261375 * x17 - 0.22234233413923618 * x18 + 0.451693357886584 * x20 + 0.12415393020083437 * x22 - 0.24882278453614223 * x26 - 0.10618879928698091 * x30 - 0.42269550061002964 * x31 - 0.5389634630477235 * x33 - 0.23147746971008099 * x35 + 0.5112719873715927 * x36 + 0.8433980541070045 * x38 - 0.41500024548928666 * x39 + 0.009564239016239392 * x40 + 0.05154009160795006 * x42 - 0.10474891883687908 * x43 + 0.026079953847871123 * x45 - 0.3389154368047662 * x46 - 0.4550308291285419 * x47 + 0.9148008674206641 * x48 - 0.2738061406902272 * x49 - 0.33147764375125993 * x50 + 0.4194057075286711 * x53 + 0.051749875514587415 * x54 - 0.09068386146005644 * x55 + 0.07516938800101208 * x56 - 0.6470117105980809 * x58 + 0.5575960882099685 * x59;
          }
        }
      } else {
        if (x31 > 0.0) {
          if (x45 > 0.0) {
            result = 0.18439607169196076 * x2 + 0.0006345862092831998 * x48 + 0.28854019292769734 * x49;
          } else {
            if (x17 > 0.0) {
              result = 0.0011;
            } else {
              result = 0.12581786352432964 * x14 + 0.018314158933872938 * x18 + 0.10657930916838017 * x42 + 0.14963315606355274 * x43;
            }
          }
        } else {
          if (x8 > 0.0) {
            if (x16 > 0.0) {
              if (x23 > 0.0) {
                if (x44 > 0.0) {
                  result = 0.06305995856595144 * x6 + 0.1139044639975307 * x8 + 0.5827186038401244 * x18 - 0.873342760709292 * x19 + 0.1557016186337039 * x55 + 0.12321948789339253 * x58;
                } else {
                  if (x46 > 0.0) {
                    result =  -0.2991489668204532 * x1 + 0.3311466218776266 * x8 + 0.7237119274386234 * x33 + 0.40477833896488896 * x47;
                  } else {
                    if (x47 > 0.0) {
                      result = 0.0063;
                    } else {
                      if (x6 > 0.0) {
                        if (x49 > 0.0) {
                          result =  -0.34995309722894674 * x1 + 0.5069250572187072 * x4 - 0.11046038818299365 * x54;
                        } else {
                          if (x43 > 0.0) {
                            result =  -0.10934170796772 * x1 + 0.07308815167947211 * x16;
                          } else {
                            if (x61 > 0.0) {
                              result = 0.07565035428651853 * x3 + 0.9443383219353434 * x13 + 0.10727004492385037 * x56 - 0.0009216465816629903 * x60 - 0.47468325255608623 * x61;
                            } else {
                              result =  -0.20611272269119002 * x1 + 0.2674207417365797 * x2 - 0.05487225443890967 * x3 - 0.17223732554684204 * x9 + 0.1268785052811278 * x11 - 0.03665160932753542 * x12 - 0.07665430305800924 * x14 - 0.15440226546091051 * x18 - 0.1250276971590028 * x19 - 0.052558744286253456 * x22 + 0.20319629777147794 * x25 + 0.017849081359584004 * x26 + 0.06266107195285225 * x32 - 0.1377730349090907 * x35 + 0.07434780354217925 * x37 + 0.07858923882204899 * x40 + 0.08229085506629892 * x41 - 0.6899378019798668 * x43 + 0.9104714046226138 * x44 - 0.384267025719371 * x45 + 0.4035673089019848 * x47 - 0.1302786641418498 * x48 - 0.053932829104194724 * x49 + 0.12983699402179724 * x50 - 0.4207784223103818 * x51 - 0.00016825528382954287 * x52 - 0.1065196159377531 * x53 + 0.6087826700794172 * x55 - 0.7281457726828255 * x56 - 0.14413168251048217 * x58 - 0.0289679513659863 * x59 + 0.3396022584994536 * x62;
                            }
                          }
                        }
                      } else {
                        result =  -0.05719895032426187 * x26 + 0.03641582704590009 * x38 + 0.0608066992833171 * x61;
                      }
                    }
                  }
                }
              } else {
                if (x39 > 0.0) {
                  result = 0.0083;
                } else {
                  if (x42 > 0.0) {
                    result = 0.07156629122710842 * x10 - 0.07896226454865253 * x26 - 0.08418683955830768 * x47 - 0.0698712664542564 * x49;
                  } else {
                    if (x21 > 0.0) {
                      if (x4 > 0.0) {
                        if (x58 > 0.0) {
                          if (x1 > 0.0) {
                            result =  -0.09381571842789538 * x1 + 0.26075998439433296 * x2 + 0.022158606865910695 * x28 + 0.4147842667968391 * x51;
                          } else {
                            result = -0.0097;
                          }
                        } else {
                          result = 0.3961173203344138 * x5 + 0.04669116130141887 * x6 - 0.051308481458591876 * x8 - 0.15246573968301608 * x9 - 0.08388731750458397 * x12 - 0.17787346481903765 * x18 - 0.2810887127715839 * x24 - 0.020593746471854385 * x25 - 0.37393368677784605 * x26 - 0.061011224416346536 * x33 + 0.010810678208426046 * x40 - 0.4139689270608566 * x44 + 0.4213200774490612 * x48 + 0.17204018572425278 * x53 + 0.06059851853547144 * x54 - 0.0456081545938876 * x59;
                        }
                      } else {
                        result = -0.0025;
                      }
                    } else {
                      if (x46 > 0.0) {
                        if (x10 > 0.0) {
                          if (x55 > 0.0) {
                            result =  -0.5908390715727455 * x5 - 0.024004563163120697 * x48 + 0.12752894626433545 * x51 + 0.13283732793079528 * x59;
                          } else {
                            result = 0.021;
                          }
                        } else {
                          result = -0.0040;
                        }
                      } else {
                        result =  -0.3911399211018627 * x1 - 0.14755319926036478 * x10 - 0.26897676284889965 * x11 + 0.008428128208923068 * x17 - 0.12508902725509638 * x18 - 0.02268361218042843 * x19 - 0.026227164638567734 * x20 - 0.5665051307102841 * x22 + 0.4496979382140041 * x24 - 0.4473897526678767 * x28 - 0.10687549271681615 * x30 - 0.16581549828201392 * x33 - 0.3603451498544089 * x34 + 0.41922013610844816 * x35 + 0.4039243431584065 * x37 - 0.1691802476344673 * x39 + 0.7699749375669754 * x40 - 0.3657986445778298 * x43 + 0.14955254307848928 * x44 - 0.29780469993380815 * x45 - 0.7964215423807033 * x47 - 0.26006098980628767 * x48 + 0.3624989145365349 * x49 - 0.10585956597996428 * x50 + 0.10147888989065905 * x52 + 0.4170501165985326 * x53 + 0.02527625721287439 * x54 - 0.2777950069247739 * x59 - 0.11685595697964886 * x61;
                      }
                    }
                  }
                }
              }
            } else {
              if (x37 > 0.0) {
                result = 0.069975488109541 * x3 + 0.2672215903259324 * x18 - 0.13981312027165566 * x27;
              } else {
                if (x19 > 0.0) {
                  if (x22 > 0.0) {
                    if (x15 > 0.0) {
                      result = 0.0017;
                    } else {
                      result = 0.6137264469492804 * x16 + 0.5728526090021497 * x23 - 0.2327193717247667 * x46 - 0.22228381255251445 * x55;
                    }
                  } else {
                    result = 0.14213387210612985 * x1 + 0.05633776076295177 * x47;
                  }
                } else {
                  if (x24 > 0.0) {
                    if (x11 > 0.0) {
                      result = 0.2715593631991894 * x12 + 0.07365535816498069 * x59;
                    } else {
                      result = 0.08385933714318726 * x47;
                    }
                  } else {
                    result =  -0.026886527049539394 * x2 - 0.2634983862200014 * x3 - 0.3056518753344924 * x4 + 1.0262212213966635 * x6 - 0.3295683790471641 * x7 + 0.19685523099449578 * x8 - 0.4257554506236171 * x9 + 1.5544164243059286 * x10 - 0.7164529979286176 * x11 + 0.2976797074302685 * x12 - 1.7510632326101179 * x13 + 0.5632102148807584 * x14 + 1.1891035538711987 * x15 - 0.5629496865178752 * x16 + 0.046895105318964056 * x17 + 0.21603011850269446 * x18 + 0.033347630449041106 * x19 - 2.0132068713431273 * x20 + 2.0030983708632615 * x21 + 1.3445868808398527 * x22 + 0.464991022073817 * x23 - 2.0921990709692935 * x24 + 1.555354326412308 * x25 - 1.1467937477389778 * x26 - 2.3829487239468703 * x28 + 3.3623790513697234 * x29 - 0.07550111956353214 * x30 - 1.299880213769107 * x31 - 0.047624584735036835 * x32 - 0.23155760893052918 * x33 + 0.9085666127186404 * x34 + 1.3563627628421704 * x35 - 0.9097650431879027 * x36 - 1.1114139960594482 * x37 - 0.21728065464453347 * x38 + 1.062278346819689 * x39 + 0.9370163099454786 * x40
 + 0.5301231127946003 * x41 - 1.1960857139964667 * x42 - 1.919416660705199 * x43 + 0.6422545201795011 * x44 + 0.3880830493507159 * x45 + 0.6018726239326154 * x46 - 0.99167516047836 * x47 + 1.0201248577051982 * x48 + 0.08540119735309122 * x49 - 1.6239253915231489 * x50 + 1.80895263484275 * x51 - 0.320501992018831 * x52 - 1.0115795274026314 * x53 + 0.7557406750513942 * x54 + 0.4097590091425926 * x55 - 0.9437379417078634 * x56 - 0.0032826573723274844 * x57 - 0.6847727490020286 * x58 + 0.56550286447413 * x59 + 0.3194598785672985 * x60 - 0.37865192261434644 * x61 + 0.5856156540887079 * x62;
                  }
                }
              }
            }
          } else {
            if (x43 > 0.0) {
              result = 0.21046286738455308 * x6 - 0.6094572478617786 * x7 + 0.6279938224966851 * x8 + 0.05940864399704788 * x10 - 0.09770768592076833 * x13 - 0.028006932170036858 * x15 - 0.7552172315461455 * x16 - 0.1027729127105393 * x19 + 0.7581943994199204 * x22 - 0.15416610473973152 * x23 - 0.1883563855706856 * x24 + 0.8604554009123446 * x27 + 0.07604575858579032 * x28 - 1.0490138567007072 * x29 + 0.5635738371012469 * x30 + 0.26292029589351107 * x31 - 0.1999013306739668 * x32 - 0.5155215393376482 * x33 + 0.24408735160601147 * x34 - 0.05217453020421008 * x36 - 0.13141299822929753 * x37 - 0.5873911800914465 * x38 + 1.0216535492272367 * x39 + 0.09881233644406945 * x40 + 0.4314064433926217 * x43 + 0.5385575441528301 * x45 - 0.8640118367434605 * x46 - 0.019560397071136857 * x47 + 0.5533356127389437 * x48 - 0.4309753602615773 * x49 + 0.04273111536477005 * x50 - 0.1803544049506751 * x51 - 0.19257291744621305 * x52 + 0.23869881246795727 * x55 - 0.04898182076491295 * x56 - 0.2266419561465609 * x59 - 0.11293030898577153 * x60
 + 0.3200118680611956 * x62;
            } else {
              if (x16 > 0.0) {
                result =  -0.2749819465619947 * x2 - 0.07869616926651857 * x4 + 0.061671196890535095 * x6 + 0.23141474824752323 * x8 + 0.007331922410095071 * x11 + 0.006152874118434475 * x12 + 0.2554746077313325 * x14 - 0.03179490123269835 * x18 - 0.041442486611504716 * x23 + 0.03875704500119292 * x29 + 0.01668247248663219 * x30 + 0.053151133271363026 * x32 - 0.40298597600520886 * x34 - 0.003815994342418228 * x35 - 0.07187648120421435 * x39 + 0.15777121009205403 * x44 - 0.3053765385125666 * x52 + 0.4286007243672235 * x53 + 0.23900127234527763 * x55 - 0.17738160198676883 * x58 - 0.04543124638483465 * x59 - 0.10061010024005612 * x60;
              } else {
                if (x52 > 0.0) {
                  if (x42 > 0.0) {
                    result =  -0.05712036120258988 * x6 + 0.031709786741888325 * x54;
                  } else {
                    if (x46 > 0.0) {
                      if (x55 > 0.0) {
                        result = 0.06840414382866973 * x2 - 0.4499195514163144 * x7 + 0.40962861317404337 * x12 + 0.21912584900852006 * x18 - 0.02239627172988508 * x20 + 0.019794490591764947 * x24 + 0.12679928800384646 * x26 + 0.047729587670721864 * x32 - 0.18445056723617811 * x34 - 0.021132050559415968 * x38 - 0.1085553891239276 * x40 + 0.27579578528808424 * x41 + 0.13795376982284738 * x44 - 0.26802187278680184 * x50 - 0.10583486898084628 * x51 + 0.1478195842056519 * x52 + 0.4585176523049745 * x56 - 0.00018160083111710962 * x58 - 0.2098327757084695 * x61 + 0.21023439293113233 * x62;
                      } else {
                        result = 0.2102584856355213 * x30 - 0.11271071149113114 * x32 - 0.026852270208888127 * x43 - 0.13043805483320983 * x44 - 0.026540081652933964 * x59;
                      }
                    } else {
                      if (x3 > 0.0) {
                        result =  -0.0018135493314882314 * x1 - 0.07538940636832239 * x30 - 0.11347488737873185 * x33 + 0.6230642935929498 * x41 - 0.004694059160761879 * x56 - 0.12661296075358824 * x62;
                      } else {
                        if (x30 > 0.0) {
                          result = -0.0165;
                        } else {
                          if (x59 > 0.0) {
                            if (x61 > 0.0) {
                              if (x48 > 0.0) {
                                result =  -0.17489847562361963 * x1 + 0.2510995853255028 * x6 + 0.003538060447675279 * x14 + 0.36341618192945674 * x17 + 0.009130250084191062 * x18 + 0.003989614709015218 * x21 - 0.061398983935057536 * x49 + 0.21890996429555226 * x56 + 0.22288364179534373 * x57 + 0.13727780785041577 * x58 + 0.32368117773256705 * x60;
                              } else {
                                result =  -0.02680416303672881 * x4 - 0.059993240763305346 * x6 + 0.13569711526182557 * x10 + 0.34492681807226877 * x11 - 0.0691858540952685 * x15 + 0.5726831723671301 * x20 - 0.17617789035081452 * x22 - 0.012582649470221082 * x23 - 0.007578706556939772 * x25 - 0.019703805137334635 * x27 - 0.4958395801975881 * x28 - 0.07118243979632839 * x30 - 0.2257597685938014 * x32 + 0.2359215579014874 * x33 - 0.02462871653328232 * x36 + 0.01727878542125566 * x39 - 0.38898896876253386 * x43 - 0.036683102703431315 * x45 + 0.33455289153384515 * x51 + 0.0627843011912453 * x57 - 0.45520906118101967 * x60 + 0.3852079345911517 * x62;
     }
      } else {
       result = 0.22510054389996295 * x37 + 0.010091871345779567 * x38;
      }
       } else {
        result = 0.06250137704358077 * x3 - 0.11508401590875596 * x10 - 0.003090483360770011 * x12 - 0.3756153592666462 * x21 + 0.2978286757446779 * x22 + 0.33961894903377604 * x23 - 0.11817449926952597 * x29 + 0.17018177093817174 * x30 + 0.0961053597055879 * x31 - 0.017954841044637817 * x33 + 0.013282097893411978 * x35 - 0.28489772106679495 * x39 + 0.035101629629443916 * x41 - 0.002104743972598331 * x44 - 0.04570573167430365 * x54 - 0.13795486197079931 * x59;
       }
      }
     }
    }
   }
  } else {
   if (x44 > 0.0) {
    if (x57 > 0.0) {
     result = 0.0011;
    } else {
     result =  -0.1902614668853537 * x32 - 0.003468468699286131 * x48 + 0.19934143367518933 * x58;
    }
     } else {
      if (x54 > 0.0) {
       result =  -0.09971240180780667 * x1 + 0.04178640950105885 * x3 + 0.04026204128246022 * x7 + 0.2866659122197973 * x12 + 0.10936227664191786 * x13 - 0.3956181248964782 * x14 - 0.012395520514394099 * x15 - 0.08402745513748922 * x16 - 0.09550924616412683 * x19 + 0.40261149839057536 * x20 - 0.12171768220319094 * x22 - 0.32172638124756575 * x24 + 0.010144625922603729 * x26 + 0.005749809947345697 * x27 + 0.4947510884925368 * x29 + 0.10558701383152887 * x40 - 0.2829976226177311 * x43 + 0.4668087950352421 * x47 - 0.019905931182051077 * x49 - 0.09644971895396401 * x50 - 0.5385655317347137 * x51 - 0.11043200872514497 * x53 - 0.12926820782396894 * x57 + 0.18410980595741192 * x60;
      } else {
       if (x7 > 0.0) {
        result =  -0.00980852851700681 * x5 - 0.16031432585747565 * x15 + 0.09665472033940026 * x24 + 0.0018975367702122644 * x25 - 0.008110063684740923 * x28 - 0.16107672902407882 * x35 + 0.057245888879026464 * x42 + 0.12866400551057577 * x45 + 0.07330930004203988 * x48 + 0.02854564522956597 * x49 - 0.1790461481036001 * x55 + 0.15389213807213115 * x58;
       } else {
        if (x12 > 0.0) {
         if (x61 > 0.0) {
          result =  -0.5857881823878834 * x1 - 0.783899860980718 * x48;
         } else {
          result = 0.17367180416588998 * x40 + 0.09853678843593441 * x41;
         }
          } else {
           if (x40 > 0.0) {
            result = 0.038831487473036636 * x4 
                   + 0.024457965153957328 * x9 
                   + 0.1871421215531576 * x19 
                   - 0.14233498799288302 * x57;
           } else {
            if (x60 > 0.0) {
             if (x3 > 0.0) {
              result =  -0.14156362922737972 * x14 + 0.36942740102408145 * x30 + 0.036728580877819696 * x56;
             } else {
              result =  -0.7087907513066862 * x1 
                       + 1.284347364371702 * x4 
                       - 0.4557001999246327 * x5 
                       - 0.22592062038039987 * x6 
                       + 0.02412564099462991 * x7 
                       + 0.30944564761536264 * x8 
                       - 0.35759688251518973 * x9 
                       - 0.21517270448705764 * x10 
                       + 0.5323219779887387 * x11 
                       - 0.38533851117074464 * x13 
                       - 0.021896020144415298 * x14 
                       + 0.035073651066837554 * x15 
                       - 0.04096213690201974 * x17 
                       - 0.14158092398862787 * x18 
                       - 0.1881456978988792 * x20 
                       + 0.24348603079651368 * x21 
                       - 0.34347595046383056 * x22 
                       + 0.444966576472638 * x23 
                       - 0.09434440533504267 * x26 
                       - 0.22443420648025678 * x28 
                       + 0.02046677600966234 * x29 
                       + 0.03055723960101821 * x30 
                       + 0.7499529823875714 * x32 
                       + 0.7475375597998389 * x34 
                       - 1.0853394110487002 * x35 
                       - 0.028170401895980773 * x37 
                       - 0.5777576490325352 * x38 
                       + 1.0096895189962263 * x39 
                       - 0.4299452206163844 * x42 
                       + 0.07370612002920998 * x43 
                       - 0.028327618750803602 * x45 
                       + 0.13046140462024988 * x48 
                       - 0.6586957443835951 * x51 
                       + 0.6779190779960225 * x53 
                       + 0.681849499366593 * x55 
                       - 0.37337573776286237 * x57 
                       + 0.16689283761510276 * x58 
                       - 0.16534925394956954 * x60 
                       + 0.2552201251428355 * x61 
                       - 0.10483505728412937 * x62;
             }
              } else {
               if (x2 > 0.0) {
                result =  -0.6846319907132858 * x1 + 0.02616779736787665 * x4 + 0.30707513729424946 * x7 - 0.12310051213075524 * x10 - 0.3313030059611526 * x13 + 0.05415516289688541 * x14 + 0.1881518438991672 * x15 + 0.31501185289202804 * x17 - 0.3343332595524543 * x18 - 0.18208425668480835 * x19 + 0.30199875452564356 * x21 + 0.13565340843304022 * x23 - 0.2746698319498849 * x27 - 0.021133894789802977 * x29 - 0.0951627068240341 * x30 + 0.035081557347897405 * x31 + 0.5492547035187052 * x32 + 0.0661345766269848 * x33 - 0.07879367340560045 * x34 - 0.17120224787679256 * x35 + 0.27036517264261517 * x36 - 0.4972447902436994 * x37 + 0.41778559385309344 * x39 - 0.16186368599144912 * x40 - 0.10998829331979539 * x44 - 0.05984750842820923 * x46 - 0.10035237010072609 * x49 - 0.5641723304272864 * x52 + 0.3033014803686331 * x57 - 0.31978379429515275 * x62;
               } else {
                if (x45 > 0.0) {
                 result = 0.20228869512055567 * x3 + 0.22754028823471087 * x61;
                } else {
                 if (x11 > 0.0) {
                  result = -0.00030;
                 } else {
                  if (x23 > 0.0) {
                   result =  -0.13054111432479756 * x11 + 0.2699158105458936 * x50 - 0.20566232147886937 * x62;
                  } else {
                   if (x39 > 0.0) {
                    result =  -0.11143955897449695 * x1 + 0.4496271752768335 * x32 + 0.057567640364225146 * x34;
                   } else {
                    result =  -0.000000049484536082474215 * x1 
                             - 0.000000007989690721649484 * x2 
                             + 0.000000022680412371134018 * x3 
                             + 0.00000006778350515463916 * x4 
                             + 0.00000001932989690721649 * x5 
                             + 0.000000012113402061855668 * x6 
                             + 0.000000027319587628865973 * x7 
                             - 0.000000017783505154639172 * x8 
                             + 0.00000001932989690721649 * x9 
                             + 0.0000000306701030927835 * x10 
                             - 0.000000011597938144329894 * x11 
                             + 0.00000003376288659793814 * x12 
                             - 0.000000031958762886597934 * x13 
                             - 0.000000023711340206185563 * x14 
                             - 0.000000012371134020618554 * x15 
                             - 0.00000002963917525773195 * x16 
                             + 0.000000012886597938144326 * x17 
                             - 0.000000009278350515463916 * x18 
                             - 0.000000010309278350515461 * x19 
                             - 0.0000000536082474226804 * x20 
                             - 0.000000007989690721649484 * x21 
                             - 0.00000006365979381443297 * x22 
                             - 0.0000000012886597938144326 * x23 
                             - 0.000000014948453608247422 * x24 
                             + 0.000000019587628865979377 * x25 
                             - 0.000000027319587628865973 * x26 
                             - 0.000000019587628865979377 * x27 
                             - 0.0000000007731958762886596 * x28 
                             + 0.000000011855670103092781 * x29 
                             - 0.00000001546391752577319 * x30 
                             - 0.0000000015463917525773192 * x31 
                             + 0.0000000306701030927835 * x32 
                             + 0.000000045103092783505145 * x33 
                             + 0.0000000012886597938144326 * x34 
                             + 0.00000002087628865979381 * x35 
                             + 0.000000029896907216494845 * x36 
                             - 0.00000002164948453608247 * x37 
                             + 0.000000021907216494845355 * x38 
                             - 0.000000026546391752577316 * x39 
                             - 0.000000017783505154639172 * x40 
                             - 0.000000007216494845360824 * x41 
                             + 0.000000047422680412371126 * x42 
                             - 0.000000023195876288659787 * x43 
                             + 0.00000005051546391752577 * x44 
                             - 0.000000047422680412371126 * x45 
                             + 0.000000015979381443298967 * x46 
                             - 0.000000041237113402061844 * x47 
                             + 0.000000020360824742268037 * x48 
                             - 0.000000044329896907216485 * x49 
                             - 0.000000029381443298969066 * x50 
                             - 0.000000018298969072164945 * x51 
                             - 0.00000003221649484536082 * x52 
                             + 0.000000026288659793814428 * x53 
                             + 0.00000004329896907216494 * x54 
                             - 0.000000005927835051546391 * x55 
                             + 0.00000002242268041237113 * x56 
                             + 0.000000037113402061855665 * x57 
                             - 0.00000001932989690721649 * x58 
                             - 0.0000000051546391752577305 * x59 
                             - 0.00000003092783505154638 * x60 
                             - 0.00000002164948453608247 * x61 
                             + 0.000000012113402061855668 * x62;
                   }
                  }
                 }
                }
               }
              }
             }
            }
           }
          }
         }
        }
       }
      }
     }
    }
   }
  }
 }
 return (result);
}

